/*
 * Enable a stable start of LogD
 *
 * Name: plugin_ssh_loadlogd
 * Author: Stillsetzhut (stillsetzhut@thh-clan.de)
 * Released: 20/01/04
 *
 * Version 0.1 beta
 *
 * I hope it will fix the problem to start
 * a HLDS with LogD v1.00.5
 *
 */

#include <core>
#include <console>
#include <string>
#include <admin>
#include <adminlib>

#define ACCESS_STILLS 1024

new STRING_VERSION[MAX_DATA_LENGTH] = "0.1 beta";

public admin_loadlogd(HLCommand,HLData,HLUserName,UserIndex) {
	new Command[MAX_COMMAND_LENGTH];
 	new Data[MAX_DATA_LENGTH];
 	new User[MAX_NAME_LENGTH];
	new customhpk[MAX_DATA_LENGTH] = "custom.hpk";
 	convert_string(HLCommand,Command,MAX_COMMAND_LENGTH);
        convert_string(HLData,Data,MAX_DATA_LENGTH);
        convert_string(HLUserName,User,MAX_NAME_LENGTH);
	deletefile(customhpk);
	plugin_exec("admin_tm_config","");
	set_timer("load_logd",10,0);
	set_timer("logd_message",15,0);
	return PLUGIN_HANDLED;
}

public load_logd(Timer,Repeat,HLParam) {
	exec("meta load addons/logd/dlls/logd_mm_i386.so");
	return PLUGIN_CONTINUE;
}

public logd_message(Timer,Reapeat,HLParam) {
	new Text[MAX_TEXT_LENGTH];
	plugin_exec("admin_tm_config","command.ini");
	snprintf(Text,MAX_TEXT_LENGTH,"Log Deamon is enabled.");
	typesay(Text,10,68,255,125);
	return PLUGIN_CONTINUE;
}

public plugin_init() {
        plugin_registerinfo("Stills's plugin to load LogD","Enable a stable loading of LogD",STRING_VERSION);
        plugin_registercmd("admin_loadlogd","admin_loadlogd",ACCESS_STILLS,"admin_loadlogd - delete custom.hpk and load logd");
	return PLUGIN_CONTINUE;
}